/* ==========================================================================*/
/* - - - - - - - - - - - - -   T i m e r . H   - - - - - - - - - - - - - - - */
/* ==========================================================================*/
/*    Definition File for the Timer.c module                                 */
/*  Created   2007-03-10	msw                                              */
/*  Modified  2007-03-10    msw                                              */
/* . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . */
//////////////////////////////////////////////////////////////////////////////
//This program is free software; you can redistribute it and/or
//modify it under the terms of the GNU General Public License
//as published by the Free Software Foundation; either version 2
//of the License, or any later version.
//
//This program is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.
//
//You should have received a copy of the GNU General Public License
//along with this program; if not, write to the Free Software
//Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
//
//////////////////////////////////////////////////////////////////////////////
#ifndef TIMER_H_
#define TIMER_H_


#define LED_OFF 1
#define LED_MIN 5
#define LED_MAX 450
#define LED_RUN_INTENSITY (LED_MAX/4)

/*---------------------------------------------------------------------------*/
/*------------------> E x p o s e d    F u n c t i o n s <-------------------*/
/*---------------------------------------------------------------------------*/
void TimerInit ( void );
void SetLedPWM( U32BIT pwm);

#endif /*TIMER_H_*/
